"""Mastodon databaes models."""
from datetime import datetime, timezone

from beanie import Document

from jarvis_core.db import JARVIS_INST
from jarvis_core.db.utils import NowField


@JARVIS_INST.register
class MastodonUser(Document):
    """User object."""

    user_id: int
    acct: str
    username: str
    last_sync: datetime = NowField()


@JARVIS_INST.register
class MastodonFollow(Document):
    """User Follow object."""

    active: bool = True
    user_id: int
    channel: int
    guild: int
    reblogged: bool = True
    admin: int
    created_at: datetime = NowField()
